List engagement profiles
curl --request GET \
--url https://app.tryordinal.com/api/v1/profiles/engagement \
--header 'Authorization: Bearer <token>'import requests
url = "https://app.tryordinal.com/api/v1/profiles/engagement"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://app.tryordinal.com/api/v1/profiles/engagement', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
[
{
"id": "550e8400-e29b-41d4-a716-446655440002",
"name": "Acme Marketing",
"detail": "@acme_marketing",
"channel": "Twitter",
"profileImageUrl": "https://pbs.twimg.com/profile_images/example.jpg",
"isReintegrationRequired": false,
"createdAt": "2025-07-20T14:30:00.000Z",
"createdBy": {
"id": "550e8400-e29b-41d4-a716-446655440010",
"email": "john@acme.com",
"firstName": "John",
"lastName": "Doe"
}
}
]{
"code": "UNAUTHORIZED",
"message": "Invalid or unauthorized API key"
}Profiles
List engagement profiles
List all engagement-only profiles in the workspace. Engagement profiles can only be used for auto-engagements.
GET
/
profiles
/
engagement
List engagement profiles
Authorizations
API key authentication. Generate an API key from your workspace settings.
Response
List of engagement profiles
Available options:
LinkedIn, Twitter, Instagram, Facebook, Threads, TikTok, Discord, Slack, Webflow, YouTubeShorts Show child attributes
Show child attributes
Was this page helpful?
⌘I